## libg3d 0.0.8

=== debian/changelog ===
libg3d (0.0.8-22) unstable; urgency=medium

  * debian/copyright:
    - Update copyright years
    - Fix LGPL-2.1 full name
  * Override the lintian warning about unfortified functions
  * debian/patches:
    - Add Fix-spelling-errors.patch, Fix spelling errors
  * debian/control
    - Change Vcs-Git and Vcs-Browser to https://
  * Change debian URLs to https://
  * Sort debian control files with `wrap-and-sort -abst`

 -- Sven Eckelmann <sven@narfation.org>  Sun, 31 Jan 2016 17:42:51 +0100

libg3d (0.0.8-21) unstable; urgency=medium

  * Upgraded to policy 3.9.6, no changes required
  * Update years in debian/copyright
  * debian/patches:
    - Move patches to alternative DEP-3 format and manage them with gbp pq
  * Change debian/upstream/metadata to point to libg3d upstream URLs
  * debian/control, debian/rules:
    - Drop libg3d-dbg in favor of -dbgsym package
    - Drop obsolete XS-Testsuite field

 -- Sven Eckelmann <sven@narfation.org>  Wed, 30 Dec 2015 20:13:23 +0100

libg3d (0.0.8-20) unstable; urgency=medium

  * Upload to unstable

 -- Sven Eckelmann <sven@narfation.org>  Sat, 30 Aug 2014 17:37:21 +0200

libg3d (0.0.8-19) experimental; urgency=low

  * debian/watch
    - Verify new upstream versions using GPG key 06FD8C6B46E3D322BAD4
  * debian/copyright:
    - Update e-mail address of Marek Lindner
    - Add Simon Wunderlich
  * Upgraded to policy 3.9.5, no changes required
  * Update copyright years in debian/copyright
  * debian/rules:
    - Use Largefile Support enabled C API

 -- Sven Eckelmann <sven@narfation.org>  Sat, 30 Aug 2014 15:56:22 +0200

libg3d (0.0.8-18) experimental; urgency=low

  [ Sven Eckelmann ]
  * Upgraded to policy 3.9.4, no changes required
  * Remove obsolete DM-Upload-Allowed in debian/control

  [ Vibhav Pant ]
  * Add simple autopkgtest to package (Closes: #702424)

 -- Sven Eckelmann <sven@narfation.org>  Wed, 06 Mar 2013 12:38:53 +0100

libg3d (0.0.8-17) unstable; urgency=low

  * Enable all hardening flags in debian/rules
  * Upgraded to policy 3.9.3, no changes required
  * debian/patches:
    - Add implicit_declaration.patch, Fix implicit declarations of
      functions
  * Use buildflags.mk to set security flags in debian/rules
  * Use DEB_LDFLAGS_MAINT_APPEND to add --as-needed linker flag
  * Upgrade debhelper compat to v9

 -- Sven Eckelmann <sven@narfation.org>  Sat, 28 Apr 2012 12:11:26 +0200

libg3d (0.0.8-16) unstable; urgency=low

  * Update copyright years in debian/copyright
  * debian/patches:
    Add pkglib_data.patch, Fix build with automake 1.11.3 (Closes LP: #935226)
  * Disable libmagic support until a workaround is added

 -- Sven Eckelmann <sven@narfation.org>  Sun, 19 Feb 2012 02:27:51 +0100

libg3d (0.0.8-15) unstable; urgency=low

  * Use dh_autoreconf in debian/rules to fix --as-needed bug in libtool
  * Add optional dependencies to libg3d-dev
  * Mark all targets in debian/rules as phony
  * Remove hardening-includes which are now integrated in dpkg-
    buildflags
  * Use debian packaging manual URL as format identifier in
    debian/copyright

 -- Sven Eckelmann <sven@narfation.org>  Mon, 31 Oct 2011 11:31:33 +0100

libg3d (0.0.8-14) unstable; urgency=low

  * Upgraded to policy 3.9.2, no changes required
  * Update Vcs-* fields to new anonscm.debian.org URLs in debian/control
  * Add multiarch support (Closes: #623766)

 -- Sven Eckelmann <sven@narfation.org>  Sat, 11 Jun 2011 16:49:48 +0200

libg3d (0.0.8-13) unstable; urgency=low

  * Upload to unstable
  * Updated my maintainer e-mail address
  * Keep dependencies on separate lines in debian/control
  * debian/copyright:
    - Update to DEP5 revision 164
    - Update copyright years

 -- Sven Eckelmann <sven@narfation.org>  Sun, 06 Feb 2011 11:52:28 +0100

libg3d (0.0.8-12) experimental; urgency=low

  * Upgrade debhelper compat to v8
  * set *FLAGS using dpkg-buildflags in debian/rules to work like
    dpkg-buildpackage when called directly
  * Use hardening-includes for CFLAGS and LDFLAGS hardened builds
  * Explicit build depend on pkg-config

 -- Sven Eckelmann <sven@narfation.org>  Thu, 23 Sep 2010 13:37:09 +0200

libg3d (0.0.8-11) unstable; urgency=low

  * Upgraded to policy 3.9.1, no changes required
  * debian/patches:
    - Add fix-memory-leaks-3.patch, Fix memory leaks in core (Closes:
      #593209)
    - Add fix-memory-leaks-dae.patch, Fix memory leaks in dae plugin
      (Closes: #593209)

 -- Sven Eckelmann <sven@narfation.org>  Mon, 16 Aug 2010 21:29:40 +0200

libg3d (0.0.8-10) unstable; urgency=low

  * debian/patches:
    - Add fix-memory-leaks-2.patch, Fix memory leaks (Closes: #570084)
      Thanks Picca Frederic-Emmanuel <picca@synchrotron-soleil.fr>
    - Add pc-glib2-private.patch, Only require glib2.0 for header files
      when using pkg-config
  * Remove outdated README.source
  * debian/rules:
    - Enable parallel builds using dh's --parallel
    - Inform about missing installed files using dh's --list-missing
  * Upgraded to policy 3.9.0, no changes required

 -- Sven Eckelmann <sven@narfation.org>  Mon, 28 Jun 2010 23:51:12 +0200

libg3d (0.0.8-9) unstable; urgency=low

  * Correct spelling errors found by lintian
  * debian/copyright: Update copyright years
  * Upgraded to policy 3.8.4, no changes required
  * debian/patches:
    - Add load-so-modules.patch, Identify modules by the ending .so
      instead of .la (Closes: #568797)

 -- Sven Eckelmann <sven@narfation.org>  Mon, 08 Feb 2010 10:39:30 +0100

libg3d (0.0.8-8) unstable; urgency=low

  * Register HTML documentation in doc-base
  * debian/patches:
    - Add configure-cxx.patch, Add AC_PROG_CXX for tests/Makefile.am
    - Add autoreconf-libtool.patch, Allow libtool to refresh its own
      files to keep them consistent
    - Remove distclean-xml.patch, Distclean isn't run anymore in clean
      target
    - Remove link-as-needed.patch, ltmain.sh is replaced by Debian's
      ltmain.sh
  * Recreate autotool generated files before configure

