=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
export DEB_CPPFLAGS_MAINT_APPEND = -D_FILE_OFFSET_BITS=64
export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
BUILDROOT=build

binary binary-arch binary-indep build build-arch build-indep clean install install-arch install-indep:
	dh $@ --parallel --list-missing

get-orig-source:
	$(CURDIR)/debian/get-orig-source.sh

override_dh_auto_configure:
	set -e ;\
	test -d "$(CURDIR)/$(BUILDROOT)" || \
	( mkdir -p "$(CURDIR)/$(BUILDROOT)" ;\
	for f in "$(CURDIR)"/*; do cp -arf "$$f" "$(CURDIR)/$(BUILDROOT)/" || true; done ;\
	cd "$(CURDIR)/$(BUILDROOT)" ;\
	gtkdocize --copy ;\
	autoreconf -fi -I m4 ;\
	dh_autoreconf --as-needed ;\
	dh_auto_configure -- --enable-gtk-doc --libexecdir='$${prefix}/lib/$(DEB_HOST_MULTIARCH)/libg3d' --libdir='$${prefix}/lib/$(DEB_HOST_MULTIARCH)/' --disable-libmagic )

override_dh_auto_clean:
	rm -rf "$(CURDIR)/$(BUILDROOT)"

override_dh_auto_build:
	cd "$(CURDIR)/$(BUILDROOT)" && dh_auto_build

override_dh_auto_install:
	cd "$(CURDIR)/$(BUILDROOT)" && dh_auto_install --destdir="$(CURDIR)/debian/tmp/"

override_dh_strip:
	dh_strip -a --ddeb-migration='libg3d-dbg (<< 0.0.8-21~)'

override_dh_installdocs:
	dh_installdocs -A AUTHORS README TODO

override_dh_auto_test:
	# do nothing to fix dh_auto_test thinks that tests is test target

.PHONY: binary binary-arch binary-indep build build-arch build-indep clean install install-arch install-indep \
	get-orig-source override_dh_auto_configure override_dh_auto_clean override_dh_auto_build override_dh_auto_install override_dh_strip override_dh_installdocs override_dh_auto_test
