=== debian/tests/control ===
Tests: build
Depends: libg3d-dev, build-essential
