=== debian/watch ===
version=3
opts="uversionmangle=s/-(alpha|beta|rc)/~$1/,pgpsigurlmangle=s/$/.asc/" \
 http://download.gna.org/libg3d/libg3d-(.*).tar.gz
